* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.container {
  max-width: 1200px;
  padding: 0 15px;
  margin: 0 auto;
  position: relative;
}

body {
  background-color: #000;
  font-family: sans-serif;
}

.arrow-link {
  color: var(--link-hover-color);
  display: flex;
  align-items: center;
  text-align: right;
  width: fit-content;
  margin-left: auto;
  text-decoration: none;

  position: relative;
  padding-right: 25px;
}

.arrow-link svg {
  fill: var(--link-hover-color);
  transition: 0.3s all ease;
  position: absolute;
  right: 0px;
}

.arrow-link:hover svg {
  transform: translateX(5px);
}

.social-media {
  display: flex;
  align-items: center;
}
.social-media li {
  list-style: none;
}
.social-media li a {
  display: flex;
  position: relative;
  width: 40px;
  height: 40px;
  line-height: 100px;
  font-size: 20px;
  align-items: center;
  justify-content: center;
  text-decoration: none;
  color: var(--text-color) !important;
  margin: 0 10px;
  transition: 0.5s;
}

.social-media li a i {
  color: var(--text-color) !important;
  transition: 0.5s ease;
}

.social-media li a:hover i {
  color: var(--link-hover-color) !important;
}

.social-media li a:hover span {
  background-color: var(--link-hover-color) !important;
}

.social-media li a span {
  position: absolute;
  transition: transform 0.5s;
}
.social-media li a span:nth-child(1),
.social-media li a span:nth-child(3) {
  width: 100%;
  height: 2px;
  background: var(--text-color);
}
.social-media li a span:nth-child(1) {
  top: 0;
  left: 0;
  transform-origin: right;
}
.social-media li a:hover span:nth-child(1) {
  transform: scaleX(0);
  transform-origin: left;
  transition: transform 0.5s;
}
.social-media li a span:nth-child(3) {
  bottom: 0;
  left: 0;
  transform-origin: left;
}
.social-media li a:hover span:nth-child(3) {
  transform: scaleX(0);
  transform-origin: right;
  transition: transform 0.5s;
}
.social-media li a span:nth-child(2),
.social-media li a span:nth-child(4) {
  width: 3px;
  height: 100%;
  background: var(--text-color);
}
.social-media li a span:nth-child(2) {
  top: 0;
  left: 0;
  transform: scale(0);
  transform-origin: bottom;
}
.social-media li a:hover span:nth-child(2) {
  transform: scale(1);
  transform-origin: top;
  transition: transform 0.5s;
}
.social-media li a span:nth-child(4) {
  top: 0;
  right: 0;
  transform: scale(0);
  transform-origin: top;
}
.social-media li a:hover span:nth-child(4) {
  transform: scale(1);
  transform-origin: bottom;
  transition: transform 0.5s;
}

.poster-card {
  transition: 0.3s ease;
  overflow-y: hidden;
}

.poster-card:hover img {
  position: relative;
  z-index: -2;
}

.poster-card:hover {
  cursor: pointer;
  transform: scale(1.01);
}

.poster-card:hover::before {
  content: "";
  display: block;
  width: 100%;
  height: 100%;
  background-color: #000;
  opacity: 0.5;
  position: absolute;
  z-index: -1;
}

.slide-info__top h2 {
  position: relative;
}

.slide-info__top h2 a {
  color: #fff;
  text-decoration: none;
}

.slide-info__top h2::after {
  content: "";
  position: absolute;
  background-color: var(--link-hover-color);
  bottom: 0;
  left: 0;
  width: 0;
  height: 1px;
  transition: 0.3s;
}

.poster-card:hover .slide-info__top h2::after {
  width: 100%;
}

/* .hidden-button {
  position: absolute;
  bottom: 0;
  left: 10px;
  background-color: #000;
  width: calc(100% - 20px);
  height: 174px;
  z-index: 100;
  padding: 10px;
  border: 1px solid #fff;
}

.hidden-button div {
  display: flex;
  height: 33px;
  color: #000;
  background-color: #fff;
  margin: 0 auto;
  justify-content: center;
  align-items: center;
} */

/* Стиль для веб-клієнтів, що підтримують ::-webkit-scrollbar */
::-webkit-scrollbar {
  width: 12px; /* Ширина скролбару */
}

::-webkit-scrollbar-track {
  background: #111; /* Темний фон для треку скролбару */
  border-radius: 6px; /* Закруглені краї */
}

::-webkit-scrollbar-thumb {
  background: #1c73e8; /* Основний колір скролбару */
  border-radius: 6px; /* Закруглені краї */
  border: 2px solid #111; /* Простір між скролбаром і треком */
}

::-webkit-scrollbar-thumb:hover {
  background: #3a8ef5; /* Трохи світліший відтінок при наведенні */
}

/* Стиль для Firefox */
* {
  scrollbar-width: thin; /* Тонкий скролбар */
  scrollbar-color: #1c73e8 #111; /* Колір скролбару і треку */
}
